# Generated by rust2rpm 16
%bcond_with check
%global debug_package %{nil}

%global crate crossbeam-utils

Name:           rust-%{crate}
Version:        0.8.14
Release:        %mkrel 2
Summary:        Utilities for concurrent programming
Group:          Development/Other

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/crossbeam-utils
Source:         %{crates_source}
# Initial patched metadata
# * drop unused loom dev-dependency
Patch0:         crossbeam-utils-fix-metadata-auto.diff

BuildRequires:  rust-packaging
BuildRequires:  crate(cfg-if/default) >= 1.0.0
%if %{with check}
BuildRequires:  crate(rand/default) >= 0.8.0
BuildRequires:  crate(rustversion/default) >= 1.0.0
%endif

%global _description %{expand:
Utilities for concurrent programming.}

%description %{_description}

%package        devel
Summary:        %{summary}
Group:          Development/Other
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%doc CHANGELOG.md README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
Group:          Development/Other
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+nightly-devel
Summary:        %{summary}
Group:          Development/Other
BuildArch:      noarch

%description -n %{name}+nightly-devel %{_description}

This package contains library source intended for building other packages which
use the "nightly" feature of the "%{crate}" crate.

%files       -n %{name}+nightly-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
Group:          Development/Other
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%ifarch %{arm}
# one of the doc tests fails on armv7hl
# https://github.com/crossbeam-rs/crossbeam/issues/668
%cargo_test -- --lib
%else
%cargo_test
%endif
%endif


%changelog
* Tue Apr 04 2023 daviddavid <daviddavid> 0.8.14-2.mga9
+ Revision: 1951374
- remove unknown feature: lazy_static

* Sat Dec 17 2022 guillomovitch <guillomovitch> 0.8.14-1.mga9
+ Revision: 1924177
- new version 0.8.14

* Mon Oct 10 2022 guillomovitch <guillomovitch> 0.8.12-1.mga9
+ Revision: 1896174
- new version 0.8.12

* Sat Sep 24 2022 neoclust <neoclust> 0.8.11-1.mga9
+ Revision: 1892105
- New version 0.8.11

* Wed Mar 23 2022 umeabot <umeabot> 0.8.7-2.mga9
+ Revision: 1821613
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 guillomovitch <guillomovitch> 0.8.7-1.mga9
+ Revision: 1782496
- imported package rust-crossbeam-utils

